ScanopyScanopy
Tags

Set all tags for an entity

Replaces all tags on an entity with the provided list.

Validation

  • Entity type must be taggable (Host, Service, Subnet, Group, Network, Discovery, Daemon, DaemonApiKey, UserApiKey)
  • All tags must exist and belong to your organization
PUT
/api/v1/tags/assign

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for setting all tags on an entity

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/tags/assign" \  -H "Content-Type: application/json" \  -d '{    "entity_id": "8161163a-f227-466f-bc01-090a01e80165",    "entity_type": "Organization",    "tag_ids": [      "f822a538-5d10-4249-89b6-dd557ee5945e"    ]  }'
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.13"
  },
  "success": true,
  "data": null,
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.13"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.13"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}